| Class Stream Abstract base class to fulfill the StreamConcept concept.
StreamConcept
Stream
BGZF Stream | BZ2 File Stream | Char Array Stream | GZ File Stream
Stream<TSpec> Include Headers seqan/stream.h Implements StreamConcept Specializations
BGZF Stream | Reading and writing of BGZF data.
BZ2 File Stream | Wrapper for BZFILE * streams from bzlib.
Char Array Stream | Thin wrapper around char * to the Stream concept.
GZ File Stream | Adaption from gzFile of <zlib.h> to streams.
Functions
atEnd | Determines whether an iterator is at the end position.
close | Closes a file.
open | Opens a file, stream, or persistent string.
Part of Concept StreamConcept SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56